%global dlrn_nvr oslo.context-3.2.1-17.1.20230621214924.b124eb7
%global dlrn 1
%define upstream_version 3.2.1
%{!?sources_gpg: %{!?dlrn:%global sources_gpg 1} }
%global sources_gpg_sign 0x4c29ff0e437f3351fd82bdf47c5a3bc787dc7035

%{!?upstream_version: %global upstream_version %{version}%{?milestone}}

%global pypi_name oslo.context
%global pkg_name oslo-context
%global with_doc 0

%global common_desc \
The OpenStack Oslo context library has helpers to maintain \
useful information about a request context. \
The request context is usually populated in the \
WSGI pipeline and used by various modules such as logging.

Name:           python-%{pkg_name}
Version: 3.2.1
Release: 17.1.20230621214925.b124eb7%{?dist}
Summary:        OpenStack Oslo Context library

License:        ASL 2.0
URL:            https://launchpad.net/oslo.context
Source0: oslo.context-3.2.1-17.1.20230621214924.b124eb7.tar.gz
#
# patches_ignore=DROP-IN-RPM
# patches_base=b124eb7df2617be56a23819f670bd6e054f87ce7

# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
Source101:        https://tarballs.openstack.org/%{pypi_name}/%{pypi_name}-%{upstream_version}.tar.gz.asc
Source102:        https://releases.openstack.org/_static/%{sources_gpg_sign}.txt
%endif

BuildArch:      noarch

# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
BuildRequires:  /usr/bin/gpgv2
%endif

BuildRequires:  git-core
BuildRequires:  openstack-macros

%package -n python3-%{pkg_name}
Summary:        OpenStack Oslo Context library
%{?python_provide:%python_provide python3-%{pkg_name}}

BuildRequires:  python3-devel
BuildRequires:  python3-pbr
# test dependencies
BuildRequires:  python3-debtcollector
BuildRequires:  python3-fixtures
BuildRequires:  python3-hacking
BuildRequires:  python3-oslotest

Requires:       python3-debtcollector >= 1.2.0
Requires:       python3-pbr

%description -n python3-%{pkg_name}
%{common_desc}

%package -n python3-%{pkg_name}-tests
Summary:   Tests for OpenStack Oslo context library

Requires:  python3-%{pkg_name} = %{version}-%{release}

%description -n python3-%{pkg_name}-tests
Tests for OpenStack Oslo context library

%if 0%{?with_doc}
%package -n python-%{pkg_name}-doc
Summary:        Documentation for the OpenStack Oslo context library

BuildRequires:  python3-sphinx
BuildRequires:  python3-openstackdocstheme

%description -n python-%{pkg_name}-doc
Documentation for the OpenStack Oslo context library.
%endif

%description
%{common_desc}

%prep
# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
%{gpgverify}  --keyring=%{SOURCE102} --signature=%{SOURCE101} --data=%{SOURCE0}
%endif
%autosetup -n %{pypi_name}-%{upstream_version} -S git
%py_req_cleanup

%build
%{py3_build}

%if 0%{?with_doc}
# doc
sphinx-build-3 -b html doc/source doc/build/html
# Remove the sphinx-build-3 leftovers
rm -fr doc/build/html/.{doctrees,buildinfo}
%endif

%install
%{py3_install}

%check
python3 setup.py test

%files -n python3-%{pkg_name}
%license LICENSE
%doc README.rst
%{python3_sitelib}/oslo_context
%{python3_sitelib}/*.egg-info
%exclude %{python3_sitelib}/oslo_context/tests

%if 0%{?with_doc}
%files -n python-%{pkg_name}-doc
%license LICENSE
%doc doc/build/html
%endif

%files -n python3-%{pkg_name}-tests
%license LICENSE
%{python3_sitelib}/oslo_context/tests

%changelog
* Wed Jun 21 2023 OSP Prod Chain <dev-null@redhat.com> 3.2.1-17.1.20230621214924.b124eb7
- Update patches

* Wed Jul 27 2022 OSP Prod Chain <dev-null@redhat.com> 3.2.1-1.20220727110908.b124eb7
- Update patches

* Tue Jul 12 2022 OSP Prod Chain <dev-null@redhat.com> 3.2.1-0.20220712113607.b124eb7
- Update patches

* Wed Oct 27 2021 OSP Prod Chain <dev-null@redhat.com> 3.2.1-0.20211027142020.b124eb7
- Update patches
- Fix context from_dict() for system_scope
- Update TOX_CONSTRAINTS_FILE for stable/wallaby
- Update .gitreview for stable/wallaby
- Remove lower-constraints remnants
- Move flake8 as a pre-commit local target.

* Thu May 27 2021 OSP Prod Chain <dev-null@redhat.com> 3.2.0-0.20210527200816.0d02866
- Update patches

* Wed Mar 24 2021 OSP Prod Chain <dev-null@redhat.com> 3.2.0-1
- Update patches

* Fri Mar 05 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Switch to collections.abc.MutableMapping
- Dropping lower constraints testing
- Add Python3 wallaby unit tests
- Update master for stable/victoria
- Adding pre-commit

* Tue Dec 15 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Fri Nov 13 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Wed Oct 21 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Fri Sep 18 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Bump bandit version
- drop mock from lower-constraints
- Fix pygments style
- Align contributing doc with oslo's policy

* Fri Jun 05 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove translation sections from setup.cfg
- Fix hacking min version to 3.0.1
- Switch to newer openstackdocstheme and reno versions
- Remove the unused coding style modules
- Bump default tox env from py37 to py38
- Add py38 package metadata
- Add release notes links to doc index
- Add Python3 victoria unit tests
- Update master for stable/ussuri

* Thu Apr 16 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Thu Apr 09 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Don't build universal wheel

* Fri Apr 03 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Update hacking for Python3
- Filter out auth_token_info from logging values
- trivial: Cleanup tox.ini
- remove outdated header
- reword releasenote for py27 support dropping
- tox: Trivial cleanup

* Thu Mar 19 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Thu Mar 05 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Drop python 2.7 support and testing
- tox: Trivial cleanup
- Bump the openstackdocstheme extension to 1.20
- gitignore: Hide reno cache files
- tox: Stop using 'python setup.py test'
- Switch to Ussuri jobs
- tox: Keeping going with docs
- Switch to Ussuri jobs
- Update the constraints url
- Update master for stable/train

* Wed Feb 19 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Wed Nov 13 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Wed Oct 02 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches


